# libdar::data_dir Class Reference
[Private]

the data_dir class inherits from data_tree and holds the directory tree's parent relationship More...

`#include <data_tree.hpp>`

Inherits libdar::data_tree.

List of all members.

## Public Member Functions
bool | remove_all_from (const archive_num &archive)
| return true if the corresponding file is no more located by any archive (thus, the object is no more usefull)
void | show (user_interaction &dialog, archive_num num, std::string marge="") const
| list the most recent files owned by that archive (or by any archive if num == 0)
void | skip_out (archive_num num)
| decrement archive numbers above num

## Detailed Description

the data_dir class inherits from data_tree and holds the directory tree's parent relationship

Definition at line 109 of file data_tree.hpp.

The documentation for this class was generated from the following file:

- data_tree.hpp